summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-04-23 07:23:52 +0200
committerHans de Graaff <graaff@gentoo.org>2018-04-23 07:55:56 +0200
commit380ee9b66d365ffe831a2dbe99ba8cb343868127 (patch)
tree65009d9908f395b92f0abcb2683e55e52a26e1fc /dev-ruby/http
parentdev-ruby/http-form_data: add ruby25 (diff)
downloadgentoo-380ee9b66d365ffe831a2dbe99ba8cb343868127.tar.gz
gentoo-380ee9b66d365ffe831a2dbe99ba8cb343868127.tar.bz2
gentoo-380ee9b66d365ffe831a2dbe99ba8cb343868127.zip
dev-ruby/http: add 3.2.0
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-ruby/http')
-rw-r--r--dev-ruby/http/Manifest1
-rw-r--r--dev-ruby/http/http-3.2.0.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-ruby/http/Manifest b/dev-ruby/http/Manifest
index bbaff0e3c12..fec8c68d89c 100644
--- a/dev-ruby/http/Manifest
+++ b/dev-ruby/http/Manifest
@@ -4,3 +4,4 @@ DIST http-1.0.2.gem 62464 BLAKE2B a7801cb8389473f5dee9761fffe510ed2228ecf01d75e6
DIST http-2.2.1.gem 66560 BLAKE2B f198fe9aa28e8302503de16422d0b129a89efdcd4f36ac1d4e5ea2f067cd682fdbaa45237e7d00f9993ae1348455401c494d7ad2425f6ca1ec2464e92b1a9db6 SHA512 e8edf381548c04d0fb2ea0f28104d85eda92d6de6686013190e84127c4ce118fe8b8a562267aed41ad23481ca54e21a215613d7e3d920d6c5ea9f9a3c4a2032c
DIST http-2.2.2.gem 67072 BLAKE2B d2aa0f155085b60c3a65af6e5cda58632708f1aae000d9d52dcfa5fe3f6880000a4dff749810c7816bd1920597f456f7c9e7c080a4e524d578983944f0d49194 SHA512 9c22f7f4473e5cb0b605b9c8d25c1a93c34e7e440fb7cf4f3690cb9dd9e65ce3619d0575da3d97da6dfcf8e1560113b638bb447340605bebc160f589fb007bed
DIST http-3.0.0.gem 69632 BLAKE2B e02ddc7e7f2747c2b20fc90b38c1c16c315eda8b800d93148aa0cb1ac0194c2fd5742fa346b18a8f60d4814db7d9e0200ad55c94fd2f8f2cb2bf29d50a22da8e SHA512 ef8c4148b68838e0669d5012c3548d373ef99d9273eb2ea25e7e0237027c766ffdbcdede766eb890f042b7211c2ed953688a372c46b120bf0bbd045c06b8aec3
+DIST http-3.2.0.gem 70656 BLAKE2B 9be294d425169318635db9236b3460e1a863e9e0ade07f1bfd97f6c12e75ea40c4c39ea5eda7c82017b78eb91c1c5703229022a9db20fed709149476a53e5936 SHA512 2766cb33d753ba641d9fc5de5c7e15790c6ce3d00f2065631b4e5006ca90f12b38257d8842c99f46f4dee527434c7b7cab2d99476b757937bd4fcd6d81b6cfb4
diff --git a/dev-ruby/http/http-3.2.0.ebuild b/dev-ruby/http/http-3.2.0.ebuild
new file mode 100644
index 00000000000..adc8cb7d319
--- /dev/null
+++ b/dev-ruby/http/http-3.2.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An easy-to-use client library for making requests from Ruby"
+HOMEPAGE="https://github.com/tarcieri/http"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.3:0
+ >=dev-ruby/http-cookie-1.0:0
+ >=dev-ruby/http-form_data-1.0.1:1.0
+ >=dev-ruby/http_parser_rb-0.6.0 =dev-ruby/http_parser_rb-0.6*"
+
+ruby_add_bdepend "
+ test? ( dev-ruby/certificate_authority dev-ruby/rspec-its )"
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/,/end/ s:^:#:' \
+ -e '1irequire "cgi"' spec/spec_helper.rb || die
+
+ # Avoid specs that require network access
+ sed -i -e '/.persistent/,/^ end/ s:^:#:' \
+ spec/lib/http_spec.rb || die
+ sed -i -e '/with non-ASCII URLs/,/^ end/ s:^:#:' \
+ spec/lib/http/client_spec.rb || die
+
+ # Avoid spec that may fail with a running web server
+ sed -i -e '/unifies socket errors into HTTP::ConnectionError/,/^ end/ s:^:#:' spec/lib/http_spec.rb || die
+}